package com.nantian.cloud.dbcapp.mapper.record;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.nantian.cloud.dbcapp.entity.TApplyRecord;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

@Mapper
public interface TApplyRecordMapper extends BaseMapper<TApplyRecord> {
    boolean insertInfo(@Param("query") TApplyRecord tApplyRecord);

    boolean updateRecordById(@Param("query") TApplyRecord tApplyRecord);

    List<Map<String, Object>> getList(@Param("epc") String epc);

    IPage<TApplyRecord> getListByPage(@Param("page") Page page, @Param("query") TApplyRecord tApplyRecord);

    IPage<TApplyRecord> getRecordPage(@Param("page") Page page, @Param("query") TApplyRecord tApplyRecord);
}
